#include<stdio.h>
#include<math.h>
int main(){
	
	
	
	unsigned long  V, max, cj, n, br, a=1, b=2, c=5, t=0;
	
	scanf("%lu", &V);
	do{ cj=V/10;
	    V/=10;
	    br++;
	}while(n>0);
	
	a=pow(a, br);
	b=pow(b, br);
	c=pow(c, br);
	
	
	do{
		max=c;
	if(max>V)max=b;
	  else max=a;
		V-=max;
		t++;
		a/=10;
		b/=10;
		c/=10;
	}while(n>0);
	
	printf("%lu", t);
	
	return 1;
}